Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 2701)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 2702)
@@ -508,6 +508,64 @@
 		return NLS.bind(CooccurrenceCoreMessages.info_details, params);
 	}
 	
+	@Override
+	public String getName() {
+		try {
+			return this.getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
+		}
+		catch (Exception e) {
+			return this.getSimpleName();
+		}
+	}
+	
+	
+	@Override
+	public String getSimpleName() {
+		if (this.pQuery != null && !this.pQuery.isEmpty()) {
+			StringBuffer output = new StringBuffer();
+			output.append(this.pQuery.asString());
+			output.append(WordProperty.asString(this.pProperties));
+			
+			if (this.pMaxLeftContextSize > 0 && this.pMaxRightContextSize > 0) {
+				output.append(" " + (this.pMaxLeftContextSize - 1) + " " + (this.pMaxRightContextSize - 1)); //$NON-NLS-1$ //$NON-NLS-2$
+			}
+			output.append(TXMCoreMessages.formatMinFilter(this.pFminFilter));
+			output.append(TXMCoreMessages.formatMinFilter(this.pFCoocFilter));
+			output.append(TXMCoreMessages.formatMinFilter(this.pScoreMinFilter));
+			
+			// TODO: SJ: improve the hiding or display of value according to the default preferences values
+			// output.append(TXMCoreMessages.formatMinFilter(this.pFminFilter, CooccurrencePreferences.getInstance().getInt(CooccurrencePreferences.F_MIN) + 1));
+			// output.append(TXMCoreMessages.formatMinFilter(this.pFCoocFilter, CooccurrencePreferences.getInstance().getInt(CooccurrencePreferences.MIN_COUNT) + 1));
+			// output.append(TXMCoreMessages.formatMinFilter(this.pScoreMinFilter, CooccurrencePreferences.getInstance().getDouble(CooccurrencePreferences.MIN_SCORE) + 1));
+			
+			
+			return output.toString();
+		}
+		else {
+			return this.getEmptyName();
+		}
+	}
+	
+	
+	@Override
+	public String getComputingStartMessage() {
+		return TXMCoreMessages.bind(CooccurrenceCoreMessages.cooccurrentsOfP0PropertieP1InTheP2Corpus, this.pQuery.asString(), WordProperty.asString(this.pProperties),
+				(this.pMaxLeftContextSize - 1), (this.pMaxRightContextSize - 1), this.pFminFilter, this.pFCoocFilter, this.pScoreMinFilter, this.getCorpus().getName());
+	}
+	
+	
+	@Override
+	public String getComputingDoneMessage() {
+		if (this.lines.isEmpty()) {
+			return TXMCoreMessages.common_noResults;
+		}
+		else {
+			return TXMCoreMessages.bind(CooccurrenceCoreMessages.P0CooccurentsForP1Occurrences, TXMCoreMessages.formatNumber(this.lines.size()), TXMCoreMessages.formatNumber(this.numberOfKeyword));
+		}
+	}
+	
+	
+	
 	/**
 	 * Gets the fA.
 	 *
@@ -566,16 +624,6 @@
 		return pMinRightContextSize;
 	}
 	
-	@Override
-	public String getName() {
-		if (this.getParent() != null) {
-			return this.getParent().getSimpleName() + ": " + this.getSimpleName(); //$NON-NLS-1$
-		}
-		else {
-			return this.getSimpleName();
-		}
-	}
-	
 	/**
 	 * Gets the lines.
 	 *
@@ -639,40 +687,7 @@
 		return pQuery;
 	}
 	
-	@Override
-	public String getSimpleName() {
-		if (pQuery != null && !pQuery.isEmpty()) {
-			StringBuffer output = new StringBuffer();
-			output.append(pQuery.getQueryString());
-			if (pMaxLeftContextSize > 0 && pMaxRightContextSize > 0) {
-				output.append(" (" + (pMaxLeftContextSize - 1) + ", " + (pMaxRightContextSize - 1) + ")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-			}
-			return output.toString();
-		}
-		else {
-			return this.getEmptyName();
-		}
-	}
 	
-	
-	@Override
-	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(CooccurrenceCoreMessages.cooccurrentsOfP0PropertieP1InTheP2Corpus, this.pQuery, WordProperty.propertiesToString(this.pProperties).replaceAll(
-				TXMPreferences.LIST_SEPARATOR, ", "), this.getCorpus().getName()); //$NON-NLS-1$
-	}
-	
-	
-	@Override
-	public String getComputingDoneMessage() {
-		if (this.lines.isEmpty()) {
-			return TXMCoreMessages.common_noResults;
-		}
-		else {
-			return TXMCoreMessages.bind(CooccurrenceCoreMessages.P0CooccurentsForP1Occurrences, this.lines.size(), this.numberOfKeyword);
-		}
-	}
-	
-	
 	/**
 	 * Gets the structural unit limit.
 	 *
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 2701)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 2702)
@@ -28,7 +28,10 @@
 	
 	public static String info_specificitiesOfTheP0Corpus;
 	
+	public static String info_specificitiesOfTheP0PartitionIndex;
 	
+	
+	
 	public static String info_specificitiesBarChartForTheP0PartitionCommaP1Property;
 	
 	public static String info_specificitiesBarChartForTheP0LexcialTable;
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 2701)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 2702)
@@ -217,19 +217,18 @@
 	public String getComputingStartMessage() {
 		// from lexical table
 		if (this.parent.getParent().isVisible()) {
-			return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesBarChartForTheP0LexcialTable, this.parent.getParent().getSimpleName());
+			return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesBarChartForTheP0LexcialTable, this.parent.getParent().getName());
 		}
 		else {
 			
 			// from partition
 			if (((LexicalTable) this.parent.getParent()).getPartition() != null) {
 				return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesBarChartForTheP0PartitionCommaP1Property, ((LexicalTable) this.parent.getParent()).getPartition()
-						.getSimpleName(), ((LexicalTable) this.parent.getParent())
-								.getProperty());
+						.getName(), ((LexicalTable) this.parent.getParent()).getProperty().asString());
 			}
 			// from subcorpus
 			else {
-				return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesBarChartForTheP0Subcorpus, this.parent.getParent().getParent().getSimpleName());
+				return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesBarChartForTheP0Subcorpus, this.parent.getParent().getParent().getName());
 			}
 		}
 	}
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 2701)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 2702)
@@ -41,16 +41,16 @@
 import org.rosuda.REngine.REXP;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
+import org.txm.index.core.functions.PartitionIndex;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.core.statsengine.data.ILexicalTable;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.specificities.core.chartsengine.r.RSpecificitiesBarChartCreator;
 import org.txm.specificities.core.messages.SpecificitiesCoreMessages;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
 import org.txm.specificities.core.statsengine.r.function.SpecificitiesR;
@@ -652,7 +652,13 @@
 	
 	@Override
 	public String getName() {
-		// FIXME: to define
+		// FIXME: SJ: to define
+		return this.getParent().getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
+	}
+	
+	@Override
+	public String getSimpleName() {
+		// FIXME: SJ: to define
 		// if (this.specificitiesResult.getLexicalTable()!= null &&
 		// this.specificitiesResult.getLexicalTable().getPartition() != null) {
 		// setPartName(this.specificitiesResult.getLexicalTable().getPartition().getName()+":
@@ -666,7 +672,7 @@
 		// FIXME: to define
 		try {
 			// if (this.lexicalTable.getProperty() != null) {
-			return this.lexicalTable.getProperty().getName();
+			return this.lexicalTable.getProperty().asString();
 			// }
 			// else {
 			// return this.lexicalTable.getParent().toString();
@@ -678,11 +684,6 @@
 	}
 	
 	@Override
-	public String getSimpleName() {
-		return this.getName();
-	}
-	
-	@Override
 	public String getDetails() {
 		return NLS.bind(this.getName() + " (max score={0})", this.maxScore);
 	}
@@ -691,23 +692,22 @@
 	public String getComputingStartMessage() {
 		// from lexical table
 		if (this.parent.isVisible()) {
-			return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesOfTheP0LexcialTable,
-					this.getParent().getSimpleName());
+			return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesOfTheP0LexcialTable, this.getParent().getName());
 		}
 		else {
-			
+			// from partition index
+			if (this.getParent().getParent() instanceof PartitionIndex) {
+				return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesOfTheP0PartitionIndex, this.getParent().getParent().getName());
+			}
 			// from partition
-			if (this.getParent().getPartition() != null) {
+			else if (this.getParent().getPartition() != null) {
 				return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesOfTheP0PartitionCommaP1Property,
-						this.getParent().getPartition().getSimpleName(), this.getParent().getProperty());
+						this.getParent().getPartition().getName(), this.getParent().getProperty().asString());
 			}
-			// from sub-corpus lexical table
-			// FIXME: SJ: this special case is possible when creating Specificities then
-			// calling the command on the invisible Lexical Table
-			// need to if we need a special log message here
+			// from sub-corpus
 			else {
 				return TXMCoreMessages.bind(SpecificitiesCoreMessages.info_specificitiesOfTheP0Corpus,
-						this.getParent().getParent().getSimpleName());
+						this.getParent().getParent().getName());
 			}
 		}
 	}
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 2701)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 2702)
@@ -60,7 +60,7 @@
 	public String createQueries(ExecutionEvent event, ISelection selection) {
 		if (selection instanceof StructuredSelection) {
 			StructuredSelection sselection = (StructuredSelection) selection;
-			return CQLQuery.queriesToString(Index.createQueries(sselection.toList()));
+			return CQLQuery.serialize(Index.createQueries(sselection.toList()));
 		}
 		return null;
 	}
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2701)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2702)
@@ -48,6 +48,7 @@
 import org.txm.core.results.TXMParameters;
 import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
+import org.txm.searchengine.core.Query;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -187,7 +188,7 @@
 	@Override
 	public boolean loadParameters() {
 		if (!this.getStringParameterValue(TXMPreferences.QUERIES).isEmpty()) {
-			this.queries = CQLQuery.stringToQueries(this.getStringParameterValue(TXMPreferences.QUERIES));
+			this.queries = CQLQuery.unserialize(this.getStringParameterValue(TXMPreferences.QUERIES));
 		}
 		
 		if (!this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT).isEmpty()) {
@@ -217,7 +218,7 @@
 	public boolean saveParameters() {
 		
 		if (this.queries != null && !this.queries.isEmpty()) {
-			this.saveParameter(TXMPreferences.QUERIES, CQLQuery.queriesToString(this.queries));
+			this.saveParameter(TXMPreferences.QUERIES, CQLQuery.serialize(this.queries));
 		}
 		
 		if (this.structuralUnit != null) {
@@ -847,7 +848,7 @@
 	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(ProgressionCoreMessages.progressionOfP0InTheP1Corpus, this.queries, this.getCorpus().getName());
+		return TXMCoreMessages.bind(ProgressionCoreMessages.progressionOfP0InTheP1Corpus, CQLQuery.asString(this.queries), this.getCorpus().getName());
 	}
 	
 	
@@ -859,7 +860,7 @@
 		else {
 			String positions = String.valueOf(this.getAllPositions().get(0).length);
 			for (int i = 1; i < this.getAllPositions().size(); i++) {
-				positions += ", " + String.valueOf(this.getAllPositions().get(i).length); //$NON-NLS-1$
+				positions += ", " + TXMCoreMessages.formatNumber(this.getAllPositions().get(i).length); //$NON-NLS-1$
 			}
 			return TXMCoreMessages.bind(TXMCoreMessages.common_P0Positions, positions);
 		}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 2702)
@@ -374,7 +374,14 @@
 	
 	@Override
 	public String getDetails() {
-		return this.getName();
+		String name = this.userName;
+		int partsCount = this.getPartsCount();
+		
+		if (partsCount > 0) {
+			name += NLS.bind(" ({0})", partsCount);
+		}
+		
+		return name;
 	}
 	
 	@Override
@@ -384,14 +391,7 @@
 	
 	@Override
 	public String getName() {
-		String name = this.userName;
-		int partsCount = this.getPartsCount();
-		
-		if (partsCount > 0) {
-			name += NLS.bind(" ({0})", partsCount);
-		}
-		
-		return name;
+		return this.getCorpus() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
 	}
 	
 	@Override
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnitProperty.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnitProperty.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/StructuralUnitProperty.java	(revision 2702)
@@ -46,15 +46,15 @@
  * @author Jean-Philippe Magué
  */
 public class StructuralUnitProperty extends Property {
-
+	
 	/** The values for this property corpus */
 	List<String> values;
-
+	
 	/** The structural unit. */
 	private StructuralUnit structuralUnit;
-
-
 	
+	
+	
 	/**
 	 * Instantiates a new structural unit property.
 	 * 
@@ -63,13 +63,13 @@
 	 * @param structuralUnit the structural unit
 	 * @param name the name
 	 * @param corpus the corpus
-	 * {@link StructuralUnit#getProperty(String)}
+	 *            {@link StructuralUnit#getProperty(String)}
 	 */
 	public StructuralUnitProperty(StructuralUnit structuralUnit, String name, CQPCorpus corpus) {
 		super(name, corpus);
 		this.structuralUnit = structuralUnit;
 	}
-
+	
 	/**
 	 * Gets the structural unit on wich the property is defined.
 	 * 
@@ -78,17 +78,47 @@
 	public StructuralUnit getStructuralUnit() {
 		return structuralUnit;
 	}
-
+	
 	/**
 	 * Gets the full name: "struct_propname"
 	 *
 	 * @return the full name
 	 */
+	@Override
 	public String getFullName() {
 		return structuralUnit.getName() + "_" + this.getName(); //$NON-NLS-1$
 	}
-
+	
+	
 	/**
+	 * Gets the full name as string: "structure@property".
+	 *
+	 * @return the full name
+	 */
+	public String asFullNameString() {
+		return this.structuralUnit.getName() + this.asString();
+	}
+	
+	
+	/**
+	 * Creates a readable formated string from the specified structural unit properties list.
+	 * 
+	 * @param properties
+	 * @return
+	 */
+	public static String asFullNameString(List<StructuralUnitProperty> properties) {
+		String str = ""; ///$NON-NLS-1$
+		for (int i = 0; i < properties.size(); i++) {
+			if (i > 0) {
+				str += ", "; //$NON-NLS-1$
+			}
+			str += properties.get(i).asFullNameString();
+		}
+		return str;
+	}
+	
+	
+	/**
 	 * Gets a list of all the values this structural property takes in the
 	 * subcorpus.
 	 *
@@ -100,12 +130,13 @@
 		try {
 			AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 			return cqiClient.getData(this, subcorpus);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe(TXMCoreMessages.failedToAccessStructuralPropertyValues
-					+ this.getFullName()+" : "+e); //$NON-NLS-1$
+					+ this.getFullName() + " : " + e); //$NON-NLS-1$
 		}
-		return new ArrayList<String>();
-
+		return new ArrayList<>();
+		
 		/*
 		 * //if (values == null) { QueryResult tmp = subcorpus.query(new
 		 * Query("<"+this.getFullName()+">[]"), UUID.randomUUID().toString());
@@ -115,7 +146,7 @@
 		 * new ArrayList<String>(values);
 		 */
 	}
-
+	
 	/**
 	 * Gets a list of all the values this structural property takes in the
 	 * subcorpus
@@ -131,12 +162,13 @@
 		try {
 			AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 			return cqiClient.getData(this, number);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe(TXMCoreMessages.failedToAccessStructuralPropertyValues
-					+ this.getFullName()+" : "+e); //$NON-NLS-1$
+					+ this.getFullName() + " : " + e); //$NON-NLS-1$
 		}
-		return new ArrayList<String>();
-
+		return new ArrayList<>();
+		
 		/*
 		 * //if (values == null) { QueryResult tmp = subcorpus.query(new
 		 * Query("<"+this.getFullName()+">[]"), UUID.randomUUID().toString());
@@ -146,7 +178,7 @@
 		 * new ArrayList<String>(values);
 		 */
 	}
-
+	
 	/**
 	 * Gets a list of all the values this structural property takes in the main
 	 * corpus.
@@ -157,7 +189,7 @@
 	public List<String> getValues() throws CqiClientException {
 		return getValues(this.getCorpus());
 	}
-
+	
 	/**
 	 * Gets a list of all the values this structural property takes in the main
 	 * corpus.
@@ -170,7 +202,7 @@
 		Collections.sort(values);
 		return values;
 	}
-
+	
 	/**
 	 * Gets a list of all the values this structural property takes in the main
 	 * corpus.
@@ -184,7 +216,7 @@
 		Collections.sort(values);
 		return values;
 	}
-
+	
 	/**
 	 * Gets the number of values.
 	 *
@@ -197,24 +229,26 @@
 			int ret = tmp.getNMatch();
 			tmp.drop();
 			return ret;
-		} catch (CqiClientException e) {
+		}
+		catch (CqiClientException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
-		} 
+		}
 		return -1;// error
 	}
-
+	
 	/**
 	 * Converts the specified string to a list of StructuralUnitProperty from the specified Corpus.
+	 * 
 	 * @param corpus
 	 * @param str
 	 * @return
 	 */
 	public static List<StructuralUnitProperty> stringToProperties(CQPCorpus corpus, String str) {
-		ArrayList<StructuralUnitProperty> structs = new ArrayList<StructuralUnitProperty>();
+		ArrayList<StructuralUnitProperty> structs = new ArrayList<>();
 		if (str == null || str.length() == 0) {
 			return structs;
 		}
-
+		
 		String[] split = str.split(TXMPreferences.LIST_SEPARATOR);
 		for (String s : split) {
 			String[] split2 = s.split("_", 2);
@@ -227,19 +261,21 @@
 				if (struc_p != null) {
 					structs.add(struc_p);
 				}
-			} catch (CqiClientException e) {
+			}
+			catch (CqiClientException e) {
 				System.out.println("Error: " + str + " structure property not found in " + corpus);
 				Log.printStackTrace(e);
 				return null;
 			}
-
+			
 		}
 		return structs;
 	}
-
 	
+	
 	/**
 	 * Converts the specified string to a StructuralUnitProperty.
+	 * 
 	 * @param corpus
 	 * @param str the String to 'deserialize'. Follows the structure_property syntax
 	 * @return
@@ -249,19 +285,19 @@
 		if (str == null) {
 			return null;
 		}
-
+		
 		String[] split = str.split("_", 2);
 		if (split.length == 2) {
 			StructuralUnit su = corpus.getStructuralUnit(split[0]);
 			if (su == null) {
 				return null;
 			}
-
+			
 			return su.getProperty(split[1]);
 		}
-
+		
 		return null;
 	}
-
-
-}
\ No newline at end of file
+	
+	
+}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/WordProperty.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/WordProperty.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/WordProperty.java	(revision 2702)
@@ -1,5 +1,6 @@
 package org.txm.searchengine.cqp.corpus;
 
+import java.util.List;
 
 /**
  * A CQP property at token/word level
@@ -8,19 +9,39 @@
  *
  */
 public class WordProperty extends Property {
-
+	
 	/**
 	 * Creates a new WordProperty.
+	 * 
 	 * @param name
 	 * @param corpus
 	 */
 	protected WordProperty(String name, CQPCorpus corpus) {
 		super(name, corpus);
 	}
-
+	
 	@Override
 	public String getFullName() {
 		return getName();
 	}
 	
+	
+	/**
+	 * Creates a readable formated string from the specified properties list.
+	 * 
+	 * @param properties
+	 * @return
+	 */
+	public static String asString(List<WordProperty> properties) {
+		
+		String str = "";
+		for (int i = 0; i < properties.size(); i++) {
+			if (i > 0) {
+				str += "_";
+			}
+			str += properties.get(i).getName();
+		}
+		return "@" + str;
+	}
+	
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java	(revision 2702)
@@ -46,13 +46,13 @@
  * @author Jean-Philippe Magué, mdecorde
  */
 public abstract class Property implements Comparable<Property>, SearchEngineProperty {
-
+	
 	/** The name. */
 	protected String name;
-
+	
 	/** The corpus. */
 	protected CQPCorpus corpus;
-
+	
 	/**
 	 * Instantiates a new property.
 	 * 
@@ -67,7 +67,7 @@
 		this.name = name;
 		this.corpus = corpus;
 	}
-
+	
 	/**
 	 * Gets the qualified name = corpus name + "." + this.getFullName() .
 	 * 
@@ -76,11 +76,12 @@
 	public String getQualifiedName() {
 		return this.corpus.getCqpId() + "." + this.getFullName(); //$NON-NLS-1$
 	}
-
+	
 	/**
 	 * 
 	 * @return the full name of the property without corpus reference
 	 */
+	@Override
 	public abstract String getFullName();
 	
 	/**
@@ -88,10 +89,11 @@
 	 * 
 	 * @return the name
 	 */
+	@Override
 	public String getName() {
 		return name;
 	}
-
+	
 	/**
 	 * Gets the corpus over which the property is defined.
 	 * 
@@ -100,15 +102,25 @@
 	public CQPCorpus getCorpus() {
 		return corpus;
 	}
-
-	/* (non-Javadoc)
-	 * @see java.lang.Object#toString()
+	
+	/**
+	 * Creates a readable formated string from the property.
+	 * 
+	 * @return
 	 */
+	public String asString() {
+		return "@" + this.name; //$NON-NLS-1$
+	}
+	
 	@Override
+	// FIXME: SJ: can we remove this method, is it used in real query?
+	// I think it should not, toString() is more generally dedicated to log not to be used
+	// The rename the above method asString() to toString()
 	public String toString() {
 		return this.getName();
 	}
-
+	
+	
 	/**
 	 * Equals.
 	 *
@@ -118,8 +130,9 @@
 	public boolean equals(Property p) {
 		return this.getQualifiedName().equals(p.getQualifiedName());
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Comparable#compareTo(java.lang.Object)
 	 */
 	@Override
@@ -129,18 +142,19 @@
 	
 	/**
 	 * Converts the specified string to a list of Property from the specified Corpus.
+	 * 
 	 * @param corpus
 	 * @param str the String to 'deserialize'. Each property is separated with 1 tabulation. Then calls fromString on each token
 	 * @return a list of StructuralUnitProperty if the s param is well formed
-	 * @throws CqiClientException 
+	 * @throws CqiClientException
 	 */
 	public static List<? extends Property> stringToProperties(CQPCorpus corpus, String str) {
-		ArrayList<Property> properties = new ArrayList<Property>();
+		ArrayList<Property> properties = new ArrayList<>();
 		
 		if (str == null || corpus == null) {
 			return properties;
 		}
-
+		
 		String[] split = str.split(TXMPreferences.LIST_SEPARATOR);
 		for (String s : split) {
 			try {
@@ -148,14 +162,15 @@
 				if (p != null) {
 					properties.add(p);
 				}
-			} catch (CqiClientException e) {
+			}
+			catch (CqiClientException e) {
 				Log.warning(TXMCoreMessages.bind("** No property {0} found in the {1} corpus: {2}", s, corpus, e));
 				Log.printStackTrace(e);
 			}
 		}
 		return properties;
 	}
-
+	
 	/**
 	 * Converts the specified list of Property to a string.
 	 * 
@@ -163,12 +178,12 @@
 	 * @return
 	 */
 	public static String propertiesToString(List<? extends Property> pProperties) {
-		if (pProperties == null){
+		if (pProperties == null) {
 			return ""; //$NON-NLS-1$
 		}
-
-		ArrayList<String> names = new ArrayList<String>();
-
+		
+		ArrayList<String> names = new ArrayList<>();
+		
 		for (Property p : pProperties) {
 			names.add(p.getFullName());
 		}
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 2702)
@@ -135,11 +135,11 @@
 		if (this.pQuery instanceof SubcorpusCQLQuery) {
 			SubcorpusCQLQuery query = (SubcorpusCQLQuery) this.pQuery;
 			return TXMCoreMessages.bind(SearchEngineCoreMessages.info_computingTheP0SubCorpusOfP1CommaStructureP2CommaPropertyP3ColonP4, this.getSimpleName(), this.getParent().getName(),
-					query.getStructure(), query.getProperty().getName(), query.getPropertyValues());
+					query.getStructure(), query.getProperty().asString(), query.getPropertyValues());
 		}
 		// created directly from a query
 		else {
-			return TXMCoreMessages.bind(SearchEngineCoreMessages.info_computingTheP0SubCorpusOfP1CommaQueryP2, this.getSimpleName(), this.getParent().getName(), this.getQuery());
+			return TXMCoreMessages.bind(SearchEngineCoreMessages.info_computingTheP0SubCorpusOfP1CommaQueryP2, this.getSimpleName(), this.getParent().getName(), this.getQuery().asString());
 		}
 	}
 	
@@ -242,15 +242,6 @@
 		selectionResult = null;
 	}
 	
-	@Override
-	public String getDetails() {
-		try {
-			return "T " + this.getSize();
-		}
-		catch (CqiClientException e) {
-			return this.getName() + " (" + this.getQualifiedCqpId() + ")";
-		}
-	}
 	
 	@Override
 	public List<Match> getMatches() {
@@ -374,10 +365,6 @@
 		return selectionResult;
 	}
 	
-	@Override
-	public String getSimpleName() {
-		return this.getName();
-	}
 	
 	/**
 	 * Returns the number of occurrences in the subcorpus.
@@ -736,4 +723,29 @@
 		}
 		return textids;
 	}
+	
+	
+	@Override
+	public String getName() {
+		return this.getCorpusParent().getSimpleName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
+	}
+	
+	
+	@Override
+	public String getSimpleName() {
+		return this.userName;
+	}
+	
+	@Override
+	public String getDetails() {
+		try {
+			return "T " + this.getSize();
+		}
+		catch (CqiClientException e) {
+			return this.getName() + " (" + this.getQualifiedCqpId() + ")";
+		}
+	}
+	
+	
+	
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/CQLQuery.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/CQLQuery.java	(revision 2701)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/CQLQuery.java	(revision 2702)
@@ -32,6 +32,7 @@
 import java.util.regex.Matcher;
 import java.util.regex.Pattern;
 
+import org.apache.commons.lang.StringUtils;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.searchengine.core.IQuery;
 import org.txm.searchengine.core.SearchEngine;
@@ -77,7 +78,7 @@
 	 * Instantiates a new query.
 	 */
 	protected CQLQuery() {
-		this.queryString = "";
+		this.queryString = ""; //$NON-NLS-1$
 	}
 	
 	/**
@@ -94,7 +95,7 @@
 			this.queryString = queryString.trim();
 		}
 		else {
-			this.queryString = "";
+			this.queryString = ""; //$NON-NLS-1$
 		}
 	}
 	
@@ -105,7 +106,7 @@
 	 * @param str
 	 * @return
 	 */
-	public static List<CQLQuery> stringToQueries(String str) {
+	public static List<CQLQuery> unserialize(String str) {
 		ArrayList<CQLQuery> queries = new ArrayList<>();
 		if (str == null || str.length() == 0) {
 			return queries;
@@ -125,8 +126,8 @@
 	 * @param queries
 	 * @return
 	 */
-	public static String queriesToString(List<CQLQuery> queries) {
-		String str = "";
+	public static String serialize(List<CQLQuery> queries) {
+		String str = ""; //$NON-NLS-1$
 		for (int i = 0; i < queries.size(); i++) {
 			if (i > 0) {
 				str += TXMPreferences.LIST_SEPARATOR;
@@ -136,23 +137,46 @@
 		return str;
 	}
 	
-	
 	/**
-	 * Gets the query string.
+	 * Creates a readable formated string from the query.
 	 * 
-	 * @return the query string
+	 * @return
 	 */
 	@Override
-	public final String getQueryString() {
+	public String asString() {
+		return "<" + this.queryString + ">"; //$NON-NLS-1$ //$NON-NLS-2$
+	}
+	
+	
+	// FIXME: SJ: can we remove this method, is it used in real query?
+	// I think it should not, toString() is more generally dedicated to log not to be used
+	// The rename the above method asString() to toString()
+	@Override
+	public String toString() {
 		return queryString;
 	}
 	
-	/*
-	 * (non-Javadoc)
-	 * @see java.lang.Object#toString()
+	
+	/**
+	 * Creates a readable formated string from the specified queries list.
+	 * 
+	 * @param queries
+	 * @return
 	 */
+	public static String asString(List<CQLQuery> queries) {
+		String queriesString = StringUtils.join(queries, ">, <"); //$NON-NLS-1$
+		queriesString = "<" + queriesString + ">";  //$NON-NLS-1$ //$NON-NLS-2$
+		return "[" + queriesString + "]";  //$NON-NLS-1$ //$NON-NLS-2$
+	}
+	
+	
+	/**
+	 * Gets the query string.
+	 * 
+	 * @return the query string
+	 */
 	@Override
-	public String toString() {
+	public final String getQueryString() {
 		return queryString;
 	}
 	
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 2701)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 2702)
@@ -48,7 +48,9 @@
 	
 	public static String info_caOfTheP0LexcialTable;
 	
+	public static String info_caOfTheP0PartitionIndex;
 	
+	
 	public static String common_c1;
 	
 	public static String common_c2;
